#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class SidfmdHostLapp < ActiveRecord::Base
  belongs_to :sidfmd_host
  belongs_to :sidfmd_lproduct
  belongs_to :sidfmd_lversion

  # 表示用の名称を出力する
  # SidfmdQueueLapp#get_nameと同じになるようにすること。
  def get_name
    ret = nil
    if sidfmd_lversion then
      ret = sidfmd_lversion[:fullname]
    elsif sidfmd_lproduct then
      ret = sidfmd_lproduct[:name]
    end
    ret
  end
end

