#!/usr/bin/ruby
# -*- coding: utf-8 -*-

class DisableSelfRegistration < ActiveRecord::Migration
  def change
    Setting.transaction do
      sr = Setting.where(:name => 'self_registration').first
      if sr then
        sr.value = '0'
        sr.save
      else
        Setting.create(:name => 'self_registration', :value => '0')
      end
      lr = Setting.where(:name => 'login_required').first
      if lr then
        lr.value = '1'
        lr.save
      else
        Setting.create(:name => 'login_required', :value => '1')
      end
    end
  end
end
