# -*- coding: utf-8 -*-

class CreateWinApps < ActiveRecord::Migration
  def change
    # Windowsのサードパーティ製品情報
    create_table :sidfmd_queue_win_apps do |t|
      t.references :sidfmd_queue_win, null: false, index: true
      # 製品ベンダ名
      t.text :publisher, null: true
      # 製品名
      t.text :name, null: true, index: true
      # バージョン情報
      t.text :version, null: true
      # アンインストール時のコマンドライン。「製品の関連パス」として利用。
      t.text :uninstall, null: true
    end
  end
end
