#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class SidfmdQueuePkg < ActiveRecord::Base
  belongs_to :sidfmd_queue

  #パッケージ更新可能なOS
  AMAZON_LINUX_2 = 'Amazon Linux 2'
  ALMA_LINUX_8 = 'AlmaLinux 8'
  CENTOS_5 = 'CentOS 5'
  CENTOS_6 = 'CentOS 6'
  CENTOS_7 = 'CentOS 7'
  DEBIAN_8 = 'Debian GNU/Linux 8.0'
  DEBIAN_9 = 'Debian GNU/Linux 9.0'
  DEBIAN_10 = 'Debian GNU/Linux 10.0'
  DEBIAN_11 = 'Debian GNU/Linux 11.0'
  RHEL_5 = 'Red Hat Enterprise Linux 5'
  RHEL_6 = 'Red Hat Enterprise Linux 6'
  RHEL_7 = 'Red Hat Enterprise Linux 7'
  RHEL_8 = 'Red Hat Enterprise Linux 8'
  RHEL_9 = 'Red Hat Enterprise Linux 9'
  UBUNTU_14 = 'Ubuntu 14.04 LTS'
  UBUNTU_16 = 'Ubuntu 16.04 LTS'
  UBUNTU_18 = 'Ubuntu 18.04 LTS'
  UBUNTU_20 = 'Ubuntu 20.04 LTS'
  UBUNTU_22 = 'Ubuntu 22.04 LTS'

  AMAZON_LINUX_LIST = [ AMAZON_LINUX_2 ]
  ALMA_LINUX_LIST = [ ALMA_LINUX_8 ]
  CENTOS_LIST = [ 
    CENTOS_5,
    CENTOS_6,
    CENTOS_7
  ]
  DEBIAN_LIST = [
    DEBIAN_8,
    DEBIAN_9,
    DEBIAN_10,
    DEBIAN_11
  ]
  RHEL_LIST = [
    RHEL_5,
    RHEL_6,
    RHEL_7,
    RHEL_8,
    RHEL_9
  ]
  UBUNTU_LIST = [
    UBUNTU_14,
    UBUNTU_16,
    UBUNTU_18,
    UBUNTU_20,
    UBUNTU_22
  ]

end
