# -*- coding: utf-8 -*-

class CreateNewCondVec < ActiveRecord::Migration
  def change
    # CVSS3の各指標でのフィルタ
    create_table :sidfmd_rule_c_cvss_vectors do |t|
      t.references :sidfmd_rule_cond, foregn_key: true, index: true, null: false
      # 以下、それぞれの指標の条件値を設定。
      # それぞれの指標はand条件。
      # nullは、その指標がフィルタ条件としては未使用ということを示す。
      # 設定する値については、SidfmdIssueCveのc3_vectorと同一。
      t.text :av
      t.text :ac
      t.text :pr
      t.text :ui
      t.text :s
      t.text :c
      t.text :i
      t.text :a
    end
  end
end
