#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

module SidfmdLproductData

  def create_lproduct(name, flg_enable: true, priority: 0, eol_date: nil, support_date: nil)
    lproduct = SidfmdLproduct.create(
      name: name,
      flg_enable: flg_enable,
      priority: priority,
      eol_date: eol_date,
      support_date: support_date
    )
  end

  def create_lversions(lproduct, lversion_data) #versionはversion, priorityのみ必須
    lversions = lversion_data.map{|lver|
      SidfmdLversion.create(
        sidfmd_lproduct_id: lproduct.id,
        version: lver[:version],
        fullname: lproduct.name + ' ' + lver[:version],
        priority: lver[:priority],
        release_date: lver[:release_date],
        support_date: lver[:support_date],
        eol_date: lver[:eol_date],
        flg_enable: lver[:flg_enable] || true
      )
    }
  end

end
